# ``fn_gen`.`enums`.`sweep_spacing`.`SweepSpacing``

class documentation

`class SweepSpacing(Enum):`

View In Hierarchy

The spacing used in the sweep function

Constant | `LIN` | A linear sweep
Constant | `LOG` | A logarithmic sweep
Constant | `STEP` | A stepwise sweep

LIN: `int` =

A linear sweep

Value

    1

LOG: `int` =

A logarithmic sweep

Value

    2

STEP: `int` =

A stepwise sweep

Value

    3